=== debian/changelog ===
php-openswoole (25.2.0-6+0~20251209.4+debian13~1.gbpe27800) unstable; urgency=medium

  ** SNAPSHOT build @e278003e743ff22bdd3ac890913b9b6c4ff9c7f5 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Tue, 09 Dec 2025 09:50:57 +0100

php-openswoole (25.2.0-6) unstable; urgency=medium

  * More adjustments for OpenSSL 1.1.x

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 09:09:28 +0100

php-openswoole (25.2.0-5) unstable; urgency=medium

  * Use C++ static_cast for Ubuntu Bionic

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 08:50:04 +0100

php-openswoole (25.2.0-4) unstable; urgency=medium

  * Limit the build to 64-bit architectures

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 08:11:31 +0100

php-openswoole (25.2.0-3) unstable; urgency=medium

  * Limit the maximum version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Dec 2025 07:51:47 +0100

php-openswoole (25.2.0-2) unstable; urgency=medium

  * Build-Depend on php-all-dev (>= 2:97~) for PHP 8.5

 -- Ondřej Surý <ondrej@debian.org>  Sun, 23 Nov 2025 14:08:29 +0100

php-openswoole (25.2.0-1) unstable; urgency=medium

  * Update Build-Depends to php-all-dev (>= 2:95~)
  * New upstream version 25.2.0

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Feb 2025 19:44:56 +0100

php-openswoole (22.1.2-2) unstable; urgency=medium

  * Bump default version to PHP 8.4

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Jul 2024 17:33:55 +0200

php-openswoole (22.1.2-1) unstable; urgency=medium

  * Initial release.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2024 17:06:56 +0200
