=== debian/control ===
Source: php-openswoole
Section: php
Priority: optional
Maintainer: Debian PHP PECL Maintainers <team+php-pecl@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-php (>= 4~),
               libc-ares-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libssl-dev,
	       libpq-dev,
               php-all-dev (>= 2:97~)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pecl/php-openswoole.git
Vcs-Browser: https://salsa.debian.org/php-team/pecl/php-openswoole
Homepage: http://pecl.php.net/package/openswoole

Package: php-openswoole
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: OpenSwoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 Open Swoole is a fork of orignal Swoole since release version v4.7.1.
 .
 This is empty package that depends on default PHP version.

Package: php-openswoole-all-dev
Architecture: all
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: OpenSwoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 Open Swoole is a fork of orignal Swoole since release version v4.7.1.
 .
 This is empty package that depends on all PHP versions.

Package: php8.4-openswoole
Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: OpenSwoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 Open Swoole is a fork of orignal Swoole since release version v4.7.1.

Package: php8.3-openswoole
Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: OpenSwoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 Open Swoole is a fork of orignal Swoole since release version v4.7.1.

Package: php8.2-openswoole
Architecture: any-amd64 alpha arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
Pre-Depends: php-common (>= 2:69~)
Depends: ${misc:Depends},
         ${pecl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Provides: ${pecl:Provides},
          ${php:Provides}
Breaks: ${pecl:Breaks}
Replaces: ${pecl:Replaces}
Suggests: ${pecl:Suggests}
Recommends: ${pecl:Recommends}
Description: OpenSwoole Coroutine Fiber Async Programming Framework for PHP
 Event-driven asynchronous and concurrent networking engine with high
 performance for PHP with following properties:
 .
  * event-driven
  * coroutine
  * asynchronous non-blocking
  * multi-thread reactor
  * multi-process worker
  * multi-protocol
  * millisecond timer
  * built-in tcp/http/websocket/http2 server
  * coroutine tcp/http/websocket client
  * coroutine mysql client
  * coroutine redis client
  * coroutine read/write file system
  * coroutine dns lookup
  * support IPv4/IPv6/UnixSocket/TCP/UDP
  * support SSL/TLS encrypted transmission
 .
 Open Swoole is a fork of orignal Swoole since release version v4.7.1.
