=== debian/rules ===
#!/usr/bin/make -f
export REPORT_EXIT_STATUS:=0
include /usr/share/dh-php/pkg-pecl.mk
PECL_CONFIGURE_MAINT_APPEND = \
	--enable-openswoole \
	--enable-sockets \
	--enable-cares \
	--enable-openssl \
	--enable-http2 \
	--enable-mysqlnd \
	--with-postgres \
	--enable-hook-curl
